# QwtInterval

class qwt.interval.QwtInterval(minValue=0.0, maxValue=- 1.0, borderFlags=None)

  A class representing an interval

  The interval is represented by 2 doubles, the lower and the upper limit.

  class QwtInterval(minValue=0., maxValue=- 1., borderFlags=None)

    Build an interval with from min/max values

    Parameters

      - minValue (float) – Minimum value

      - maxValue (float) – Maximum value

      - borderFlags (int) – Include/Exclude borders

  setInterval(minValue, maxValue, borderFlags=None)

    Assign the limits of the interval

    Parameters

      - minValue (float) – Minimum value

      - maxValue (float) – Maximum value

      - borderFlags (int) – Include/Exclude borders

  setBorderFlags(borderFlags)

    Change the border flags

    Parameters

      borderFlags (int) – Include/Exclude borders

    See also

    `borderFlags()`

  borderFlags()
    Returns

      Border flags

    See also

    `setBorderFlags()`

  setMinValue(minValue)

    Assign the lower limit of the interval

    Parameters

      minValue (float) – Minimum value

  setMaxValue(maxValue)

    Assign the upper limit of the interval

    Parameters

      maxValue (float) – Maximum value

  minValue()
    Returns

      Lower limit of the interval

  maxValue()
    Returns

      Upper limit of the interval

  isValid()

    A interval is valid when minValue() <= maxValue(). In case of QwtInterval.ExcludeBorders it is true when minValue() < maxValue()

    Returns

      True, when the interval is valid

  width()

    The width of invalid intervals is 0.0, otherwise the result is maxValue() - minValue().

    Returns

      the width of an interval

  isNull()
    Returns

      true, if isValid() && (minValue() >= maxValue())

  invalidate()

    The limits are set to interval [0.0, -1.0]

    See also

    `isValid()`

  normalized()

    Normalize the limits of the interval

    If maxValue() < minValue() the limits will be inverted.

    Returns

      Normalized interval

    See also

    `isValid()`, `inverted()`

  inverted()

    Invert the limits of the interval

    Returns

      Inverted interval

    See also

    `normalized()`

  contains(value)

    Test if a value is inside an interval

    Parameters

      value (float) – Value

    Returns

      true, if value >= minValue() && value <= maxValue()

  unite(other)

    Unite two intervals

    Parameters

      other (qwt.interval.QwtInterval) – other interval to united with

    Returns

      united interval

  intersect(other)

    Intersect two intervals

    Parameters

      other (qwt.interval.QwtInterval) – other interval to intersect with

    Returns

      intersected interval

  intersects(other)

    Test if two intervals overlap

    Parameters

      other (qwt.interval.QwtInterval) – other interval

    Returns

      True, when the intervals are intersecting

  symmetrize(value)

    Adjust the limit that is closer to value, so that value becomes the center of the interval.

    Parameters

      value (float) – Center

    Returns

      Interval with value as center

  limited(lowerBound, upperBound)

    Limit the interval, keeping the border modes

    Parameters

      - lowerBound (float) – Lower limit

      - upperBound (float) – Upper limit

    Returns

      Limited interval

  extend(value)

    Extend the interval

    If value is below minValue(), value becomes the lower limit. If value is above maxValue(), value becomes the upper limit.

    extend() has no effect for invalid intervals

    Parameters

      value (float) – Value

    Returns

      extended interval